Варианты решения Ваших вопросов

  хостинг
<< Назад       Ограничение php open_basedir

Вопрос: Здравствуйте! При попытке запуска скрипта http://fastwax.ispvps118.erahost.ru/vqmod/install/index.php, который использует функцию realpath возникает предупреждение Warning: realpath(): open_basedir restriction in effect. File(/var/www/fastwax/data/www/fwdev.kuzz.su) is not within the allowed path(s): (.) in /var/www/fastwax/data/www/fwdev.kuzz.su/vqmod/install/index.php on line 46 phpinfo выводит, что значение open_basedir равно текущей директории (.) Где настраивается это ограничение? Сделайте, пожалуйста, чтобы все php скрипты в директории /var/www/fastwax/data/www/ могли читать и подключать файлы в этой директории Мы добавили следующую директорию в файл /etc/apache2/sites-enabled/000-default, перезапустили apache, но это не дало результатов php_admin_value open_basedir "/var/www/fastwax/data/www/"
Ответ:

Здравствуйте.

Ожидайте пож. Вашим вопросом занимаются.

Ответ:

Здравствуйте. т.к вы загрузили phpinfo ? найдите в нем информацию с каким php.ini рабоатет Ваш сайт и измените параметры в нем. Для чего Вы добавляли  /etc/apache2/sites-enabled/000-default ??

Вопрос: Да, phpinfo смотрю, там указан /etc/php5/apache2/php.ini Файл /etc/apache2/sites-enabled/000-default уже был создан.
Ответ:

укажите директиву в  /etc/php5/apache2/php.ini

Ответ:

что вы еще меняли на сервере?

Вопрос: Указал, но для этого хоста не изменилась http://fastwax.ispvps118.erahost.ru/info.php. Где описывается файл хоста fastwax.ispvps118.erahost.ru? Может это ограничение там стоит?
Вопрос: только git установил и nano
Вопрос: с svn так и не пошло
Ответ:

проверьте 46 строку в  /var/www/fastwax/data/www/fwdev.kuzz.su/vqmod/install/index.php on line 46

$opencart_path = realpath(dirname(__FILE__) . '/../../') . '/';
судя по всему у Вас несовпадение путей

Вопрос: нет, там так и нужно dirname(__FILE__) . '/../../' - это директория на два уровня выше текущей Вот тут http://fastwax.ispvps118.erahost.ru/admin тоже выскакивает это ограничение
Ответ:

не должно быть такого. Вы что то меняли в конфигурации сервера?

Вопрос: нет, единственное php обновил когда svn починить пытался
Ответ:

как Вы обновляли php?

Вопрос: через apt-get install
Вопрос: Ага, всё нашёл, в файле /etc/apache2/conf.d/secure.conf ограничение было
Ответ:


ok


<< Назад